Commit 9882547c authored by Ivan E. Moore II's avatar Ivan E. Moore II
Browse files

[IEM] updates

svn path=/branches/KDE_2_0_BRANCH/kdelibs/; revision=84360
parent 12eabbbc
Source: kdelibs
Build-Depends: automake, libtool, debhelper, libjpeg62-dev, libqt2.2-dev, libpng2-dev, libtiff3g-dev, zlib1g-dev, xlibs-dev | xlib6g-dev, libaudiofile-dev, qt2.2-doc, jade, sgml-base, kdoc, docbook, libmng-dev, docbook-stylesheets
Build-Depends: automake, libtool, debhelper, libjpeg62-dev, libqt-dev, libpng2-dev, libtiff3g-dev, zlib1g-dev, xlibs-dev | xlib6g-dev, libaudiofile-dev, qt-doc, jade, sgml-base, kdoc, docbook, libmng-dev, docbook-stylesheets
Build-Conflicts: kdelibs3-crypto
Section: libs
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.1.1
Standards-Version: 3.5.0
Package: kdelibs3
Architecture: any
......@@ -12,7 +12,7 @@ Section: libs
Replaces: kdelibs3-cvs, kdelibs3-nossl, kdelibs2g, kdelibs3-dev (<< ${Source-Version})
Depends: ${shlibs:Depends}
Suggests: kdelibs3-crypto
Conflicts: kdelibs3-nossl, kdemultimedia (>= 4:2.0-0-0), kdeadmin (>= 4:2.0-0-0), kdegames (>= 4:2.0-0-0), kdegraphics (>= 4:2.0-0-0), kdenetwork (>= 4:2.0-0-0), kdeutils (>= 4:2.0-0-0), kdepim (>= 2.0-0-0), kdetoys (>= 4:2.0-0-0), koffice (>= 2.0-0-0)
Conflicts: kdelibs3-nossl
Description: KDE core libraries (runtime files)
KDE core libraries.
You need these files to run kde applications.
......@@ -21,19 +21,19 @@ Package: kdelibs3-doc
Architecture: all
Section: doc
Replaces: kdelibs3-doc-cvs, kdelibs-doc
Suggests: kdelibs3, kdelibs3-dev, libqt2.2-dev, kdoc
Suggests: kdelibs3, kdelibs-dev, libqt-dev, kdoc
Description: KDE core library documentation
These are the core documentation created by the kdoc package. This package
is needed for developing KDE related packages.
Package: kdelibs3-dev
Package: kdelibs-dev
Architecture: any
Section: devel
Replaces: kdelibs-dev, kdelibs2g-dev, kdelibs3-nossl-dev
Depends: kdelibs3 (= ${Source-Version}), libmng-dev, libqt2.2-dev, libpng2-dev, libjpeg62-dev, xlibs-dev | xlib6g-dev, libc6-dev, libtiff3g-dev, zlib1g-dev, libaudiofile-dev, jade, sgml-base, docbook, docbook-stylesheets
Depends: kdelibs3 (= ${Source-Version}), libmng-dev, libqt-dev, libpng2-dev, libjpeg62-dev, xlibs-dev | xlib6g-dev, libc6-dev, libtiff3g-dev, zlib1g-dev, libaudiofile-dev, jade, sgml-base, docbook, docbook-stylesheets
Conflicts: kdelibs0-dev, kdelibs2g-dev, kdelibs3-nossl-dev
Suggests: kdelibs3-doc, kdoc
Provides: kdelibs-dev
Provides: kdelibs3-dev
Description: KDE core libraries (development files)
KDE core libraries.
You need these files to compile kde applications.
......@@ -15,18 +15,6 @@ case "$1" in
mv /etc/kde2/applnk /usr/share/applnk
fi
fi
if test /usr/share/applnk/System/kdf.desktop; then
rm -rf /usr/share/applnk/System/kdf.desktop
fi
if test /usr/share/applnk/System/kwikdisk.desktop; then
rm -rf /usr/share/applnk/System/kwikdisk.desktop
fi
if test /usr/share/applnk/Graphics/pixie.desktop; then
rm -rf /usr/share/applnk/Graphics/pixie.desktop
fi
if test /usr/share/applnk/Utilities/kdat.desktop; then
rm -rf /usr/share/applnk/Utilities/kdat.desktop
fi
;;
abort-upgrade)
......
......@@ -45,10 +45,10 @@ binary-indep: build
if test -f /usr/bin/qt2kdoc; then \
(mkdir -p debian/kdelibs3-doc/usr/share/kdoc/index) ; \
(mkdir -p debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference) ; \
qt2kdoc --url=/usr/share/doc/qt2.2-doc/doc/html \
qt2kdoc --url=/usr/share/doc/qt-doc/doc/html \
--outdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference \
--compress \
/usr/share/doc/qt2.2-doc/doc/html ; \
/usr/share/doc/qt-doc/doc/html ; \
makekdedoc --libdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference \
--kdocopt='--skip-internal --compress' \
--outputdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html ; \
......@@ -86,9 +86,6 @@ binary-arch: build
cp debian/tmp/etc/kde2/system.kdeglobals debian/tmp/etc/kderc
perl -w admin/debianrules cleanup
cp debian/kde.pamd debian/tmp/etc/pam.d/kde
for i in `find debian/tmp/usr/bin | sed -e 's#^debian/tmp/usr/bin/##' | grep -v "debian/tmp"`; do \
echo "$$i.1" >> debian/undocumented ; \
done
for i in `cat debian/undocumented.in | grep -v "#"`; do \
echo "$$i.1" >> debian/undocumented ; \
done
......
libDCOP 1 kdelibs3 (>= 4:2.0-final-11)
libkdecore 3 kdelibs3 (>= 4:2.0-final-11)
libkdeui 3 kdelibs3 (>= 4:2.0-final-11)
libkdesu 1 kdelibs3 (>= 4:2.0-final-11)
libkio 3 kdelibs3 (>= 4:2.0-final-11)
libksycoca 3 kdelibs3 (>= 4:2.0-final-11)
libkfile 3 kdelibs3 (>= 4:2.0-final-11)
libkparts 1 kdelibs3 (>= 4:2.0-final-11)
libkjs 1 kdelibs3 (>= 4:2.0-final-11)
libkmid 0 kdelibs3 (>= 4:2.0-final-11)
libmcop 0 kdelibs3 (>= 4:2.0-final-11)
libartsflow_idl 0 kdelibs3 (>= 4:2.0-final-11)
libartsflow 0 kdelibs3 (>= 4:2.0-final-11)
libsoundserver_idl 0 kdelibs3 (>= 4:2.0-final-11)
libkmedia2_idl 0 kdelibs3 (>= 4:2.0-final-11)
libx11globalcomm 0 kdelibs3 (>= 4:2.0-final-11)
libqtmcop 0 kdelibs3 (>= 4:2.0-final-11)
libartsc 0 kdelibs3 (>= 4:2.0-final-11)
libartscbackend 0 kdelibs3 (>= 4:2.0-final-11)
libartsdsp 0 kdelibs3 (>= 4:2.0-final-11)
libktexteditor 0 kdelibs3 (>= 4:2.0-final-11)
libkab 3 kdelibs3 (>= 4:2.0-final-11)
libkjava 1 kdelibs3 (>= 4:2.0-final-11)
libkhtml 3 kdelibs3 (>= 4:2.0-final-11)
libkspell 3 kdelibs3 (>= 4:2.0-final-11)
libDCOP 1 kdelibs3 (>= 4:2.0.1-0)
libkdecore 3 kdelibs3 (>= 4:2.0.1-0)
libkdeui 3 kdelibs3 (>= 4:2.0.1-0)
libkdesu 1 kdelibs3 (>= 4:2.0.1-0)
libkio 3 kdelibs3 (>= 4:2.0.1-0)
libksycoca 3 kdelibs3 (>= 4:2.0.1-0)
libkfile 3 kdelibs3 (>= 4:2.0.1-0)
libkparts 1 kdelibs3 (>= 4:2.0.1-0)
libkjs 1 kdelibs3 (>= 4:2.0.1-0)
libkmid 0 kdelibs3 (>= 4:2.0.1-0)
libmcop 0 kdelibs3 (>= 4:2.0.1-0)
libartsflow_idl 0 kdelibs3 (>= 4:2.0.1-0)
libartsflow 0 kdelibs3 (>= 4:2.0.1-0)
libsoundserver_idl 0 kdelibs3 (>= 4:2.0.1-0)
libkmedia2_idl 0 kdelibs3 (>= 4:2.0.1-0)
libx11globalcomm 0 kdelibs3 (>= 4:2.0.1-0)
libqtmcop 0 kdelibs3 (>= 4:2.0.1-0)
libartsc 0 kdelibs3 (>= 4:2.0.1-0)
libartscbackend 0 kdelibs3 (>= 4:2.0.1-0)
libartsdsp 0 kdelibs3 (>= 4:2.0.1-0)
libktexteditor 0 kdelibs3 (>= 4:2.0.1-0)
libkab 3 kdelibs3 (>= 4:2.0.1-0)
libkjava 1 kdelibs3 (>= 4:2.0.1-0)
libkhtml 3 kdelibs3 (>= 4:2.0.1-0)
libkspell 3 kdelibs3 (>= 4:2.0.1-0)
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment